version: '3.7'

services: 
  td2.0-node1:    
     build:      
       context: .
       args:
         - PACKAGE=${PACKAGE}
         - TARBITRATORPKG=${TARBITRATORPKG}
         - EXTRACTDIR=${DIR}
         - EXTRACTDIR2=${DIR2}
         - DATADIR=${DATADIR}
     image: 'tdengine:${VERSION}'
     container_name: 'tdnode1'     
     cap_add:
       - ALL
     stdin_open: true
     tty: true
     environment:
       TZ: "Asia/Shanghai"
     command: >
       sh -c "ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && 
       echo $TZ > /etc/timezone &&
       mkdir /coredump &&
       echo 'kernel.core_pattern=/coredump/core_%e_%p' >> /etc/sysctl.conf &&
       sysctl -p &&
       exec my-main-application"
     extra_hosts:
      - "tdnode2:172.27.0.8"
      - "tdnode3:172.27.0.9"
      - "tdnode4:172.27.0.10"
      - "tdnode5:172.27.0.11"
      - "tdnode6:172.27.0.12"
      - "tdnode7:172.27.0.13"
      - "tdnode8:172.27.0.14"
      - "tdnode9:172.27.0.15"
      - "tdnode10:172.27.0.16"
     volumes: 
       # bind data directory
       - type: bind
         source: ${DATADIR}/node1/data
         target: /var/lib/taos
       # bind log directory
       - type: bind
         source: ${DATADIR}/node1/log
         target: /var/log/taos
       # bind configuration
       - type: bind
         source: ${DATADIR}/node1/cfg
         target: /etc/taos
       # bind core dump path
       - type: bind
         source: ${DATADIR}/node1/core
         target: /coredump
       - type: bind
         source: ${DATADIR}
         target: /root
     hostname: tdnode1
     networks:
         taos_update_net:
             ipv4_address: 172.27.0.7
     command: taosd        

  td2.0-node2:
     build:
       context: .
       args:
         - PACKAGE=${PACKAGE}
         - TARBITRATORPKG=${TARBITRATORPKG}
         - EXTRACTDIR=${DIR}
         - EXTRACTDIR2=${DIR2}
         - DATADIR=${DATADIR}
     image: 'tdengine:${VERSION}'
     container_name: 'tdnode2'     
     cap_add:
       - ALL
     stdin_open: true
     tty: true
     environment:
       TZ: "Asia/Shanghai"
     command: >
       sh -c "ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && 
       echo $TZ > /etc/timezone &&
       mkdir /coredump &&
       echo 'kernel.core_pattern=/coredump/core_%e_%p' >> /etc/sysctl.conf &&
       sysctl -p &&
       exec my-main-application"
     extra_hosts:
      - "tdnode1:172.27.0.7"
      - "tdnode3:172.27.0.9"
      - "tdnode4:172.27.0.10"
      - "tdnode5:172.27.0.11"
      - "tdnode6:172.27.0.12"
      - "tdnode7:172.27.0.13"
      - "tdnode8:172.27.0.14"
      - "tdnode9:172.27.0.15"
      - "tdnode10:172.27.0.16"
     volumes: 
       # bind data directory
       - type: bind
         source: ${DATADIR}/node2/data
         target: /var/lib/taos
       # bind log directory
       - type: bind
         source: ${DATADIR}/node2/log
         target: /var/log/taos
       # bind configuration
       - type: bind
         source: ${DATADIR}/node2/cfg
         target: /etc/taos
       # bind core dump path 
       - type: bind
         source: ${DATADIR}/node2/core
         target: /coredump      
       - type: bind
         source: ${DATADIR}
         target: /root
     hostname: tdnode2
     networks:
         taos_update_net:
             ipv4_address: 172.27.0.8
     command: taosd


networks:
  taos_update_net:
#    external: true
     ipam:
       driver: default
       config:
         - subnet: "172.27.0.0/24"
